Subject: Re: [secdir] [tsvwg] Revised ID: draft-ietf-tsvwg-datagram-plpmtud-16.txt

From: Gorry Fairhurst <[email-masked]>
Date: Mon, 9 Mar 2020 16:13:07 +0000

This revision follows the issues raised by the IETF Last Call SECDIR 
Review (of draft-15). We think this will address all the 
security-related issues that were noted. (It also addresses one case of 
repetition that was found.)

Gorry, et al

(DPLPMTUD editors)

On 09/03/2020 14:30, [email-masked] wrote:
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> This draft is a work item of the Transport Area Working Group WG of the IETF.
>
>          Title           : Packetization Layer Path MTU Discovery for Datagram Transports
>          Authors         : Godred Fairhurst
>                            Tom Jones
>                            Michael Tuexen
>                            Irene Ruengeler
>                            Timo Voelker
> 	Filename        : draft-ietf-tsvwg-datagram-plpmtud-16.txt
> 	Pages           : 44
> 	Date            : 2020-03-09
>
> Abstract:
>     This document describes a robust method for Path MTU Discovery
>     (PMTUD) for datagram Packetization Layers (PLs).  It describes an
>     extension to RFC 1191 and RFC 8201, which specifies ICMP-based Path
>     MTU Discovery for IPv4 and IPv6.  The method allows a PL, or a
>     datagram application that uses a PL, to discover whether a network
>     path can support the current size of datagram.  This can be used to
>     detect and reduce the message size when a sender encounters a packet
>     black hole (where packets are discarded).  The method can probe a
>     network path with progressively larger packets to discover whether
>     the maximum packet size can be increased.  This allows a sender to
>     determine an appropriate packet size, providing functionality for
>     datagram transports that is equivalent to the Packetization Layer
>     PMTUD specification for TCP, specified in RFC 4821.
>
>     The document updates RFC 4821 to specify the method for datagram PLs,
>     and updates RFC 8085 as the method to use in place of RFC 4821 with
>     UDP datagrams.  Section 7.3 of RFC4960 recommends an endpoint apply
>     the techniques in RFC 4821 on a per-destination-address basis.  RFC
>     4960, RFC 6951 and RFC 8261 are updated to recommend that SCTP, SCTP
>     encapsulated in UDP and SCTP encapsulated in DTLS use the method
>     specified in this document instead of the method in RFC 4821.
>
>     The document also provides implementation notes for incorporating
>     Datagram PMTUD into IETF datagram transports or applications that use
>     datagram transports.
>
>     When published, this specification updates RFC 4960, RFC 4821, RFC
>     8085 and RFC 8261.
>
>
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-tsvwg-datagram-plpmtud/
>
> There are also htmlized versions available at:
> https://tools.ietf.org/html/draft-ietf-tsvwg-datagram-plpmtud-16
> https://datatracker.ietf.org/doc/html/draft-ietf-tsvwg-datagram-plpmtud-16
>
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-ietf-tsvwg-datagram-plpmtud-16
>
>
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>